Đến nội dung


Hình ảnh
- - - - -

Làm sao để vẽ hình trên autocad bằng VB6


  • Please log in to reply
1 reply to this topic

#1 taituxd

taituxd

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 December 2010 - 10:53 PM

Mình có tính toán cốt thép cho cột và tính ra số lượng thép , đường kính thép v.v..v . Mình muốn lập 1 button "VE" và hình đó dc thể hiện ở Autocad thì cần làm những gì , bài tập cần gấp quá mong mọi người giúp đỡ cho :undecided:
Thank all !!!
  • 0

#2 khatamxd

khatamxd

    biết vẽ ellipse

  • Members
  • PipPip
  • 50 Bài viết
Điểm đánh giá: 21 (tàm tạm)

Đã gửi 14 December 2010 - 03:58 PM

Cái này trên diễn đàn này đã nói nhìu rồi. Mình sẽ giúp bạn viết 1 cái thủ tục để vẽ 1 đường line bằng vb6 còn vẽ cái cột thì trên cơ sở 1 đó bạn phát triển nó lên. Đầu tiên bạn khai báo thư viện cad cho dự án VB bạn đang viết.
Public acadapp As AcadApplication
Public AcadMo As AcadModelSpace
Public AcadUt As AcadUtility
sub ve_line()
'Goi autocad tu VB6
On Error Resume Next
Set acadapp = GetObject(, "autocad.application")
If Err Then
Err.Clear
Set acadapp = CreateObject("autocad.application")
End If
acadapp.Visible = True
Set AcadMo = acadapp.ActiveDocument.ModelSpace
Set AcadUt = acadapp.ActiveDocument.Utility
On Error Resume Next
goc = AcadUt.GetPoint(, vbLf & "Vao vi tri dau tien:")
If Err Then
Err.Clear
goc = AcadUt.GetPoint(, vbLf & "Vao vi tri dau tien:")
End If
'Ve line
Dim lineObj As AcadLine
Dim diemDau(0 To 2) As Double
Dim diemCuoi(0 To 2) As Double
diemDau(0) = goc(0)#: diemDau(1) = goc(1)#: diemDau(2) = 0#
diemCuoi(0) = goc(0)+500#: diemCuoi(1) = goc(1)+500#: diemCuoi(2) = 0#
Set lineObj = AcadMo.AddLine(diemDau, diemCuoi)
end sub
  • 0